Package docking

# Class ComponentPlaceholder

java.lang.Object
docking.ComponentPlaceholder

public class ComponentPlaceholder extends Object
Class to hold information about a dockable component with respect to its position within the windowing system. It also holds identification information about the provider so that its location can be reused when the provider is re-opened.

The placeholder will be used to link previously saved position information. The tool will initially construct plugins and their component providers with default position information. Then, any existing xml data will be restored, which may have provider position information. The restoring of the xml will create placeholders with this saved information. Finally, the restored placeholders will be linked with existing component providers.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DockableComponent`
  `getComponent()`
  Returns a Dockable component that wraps the component for this placeholder
  `String`
  `getFullTitle()`
  Returns the full title for this component (title + subtitle)
  `String`
  `getName()`
  Returns the name of this component.
  `ComponentProvider`
  `getProvider()`
  Returns the component provider for this placeholder.
  `String`
  `getSubTitle()`
  Returns the subtitle for the component
  `String`
  `getTabText()`
  The text for display on the tab of a tabbed component.
  `String`
  `getTitle()`
  Returns the title for this component
  `boolean`
  `isDisposed()`
  `String`
  `toString()`
  `void`
  `update()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### isDisposed

    public boolean isDisposed()

  - ### getComponent

    public DockableComponent getComponent()
    Returns a Dockable component that wraps the component for this placeholder
    Returns:
      the component

  - ### getTitle

    public String getTitle()
    Returns the title for this component
    Returns:
      the title for this component

  - ### getSubTitle

    public String getSubTitle()
    Returns the subtitle for the component
    Returns:
      the subtitle for the component

  - ### getTabText

    public String getTabText()
    The text for display on the tab of a tabbed component.
    Returns:
      The text for display on the tab of a tabbed component.

  - ### getName

    public String getName()
    Returns the name of this component.
    Returns:
      the name of this component.

  - ### update

    public void update()

  - ### getProvider

    public ComponentProvider getProvider()
    Returns the component provider for this placeholder.
    Returns:
      the component provider for this placeholder.

  - ### getFullTitle

    public String getFullTitle()
    Returns the full title for this component (title + subtitle)
    Returns:
      the full title for this component (title + subtitle)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`